aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2013-09-03 12:15:21 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2013-09-03 12:29:00 +0000
commitccba57e4438a178c53b80f8d9ca44e9fac7ef629 (patch)
treec522f60baadbe9ba557bd7ba611bbecc978d62c1
parent275c028994477a813dbef06fe4c22d3a3b6ca33d (diff)
downloadaports-ccba57e4438a178c53b80f8d9ca44e9fac7ef629.tar.gz
aports-ccba57e4438a178c53b80f8d9ca44e9fac7ef629.tar.bz2
aports-ccba57e4438a178c53b80f8d9ca44e9fac7ef629.tar.xz
main/nmap: upgrade to 6.40
-rw-r--r--main/nmap/APKBUILD11
1 files changed, 7 insertions, 4 deletions
diff --git a/main/nmap/APKBUILD b/main/nmap/APKBUILD
index cd9c5dae6e..f1b54fcc3a 100644
--- a/main/nmap/APKBUILD
+++ b/main/nmap/APKBUILD
@@ -1,7 +1,6 @@
-# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=nmap
-pkgver=6.25
+pkgver=6.40
pkgrel=0
pkgdesc="A network exploration tool and security/port scanner"
url="http:/nmap.org"
@@ -15,6 +14,7 @@ replaces="nmap-nse"
source="http://nmap.org/dist/$pkgname-$pkgver.tgz"
_builddir="$srcdir"/$pkgname-$pkgver
+
build() {
cd "$_builddir"
./configure \
@@ -28,7 +28,8 @@ build() {
--with-liblua=/usr/include \
--with-openssl=/usr/lib \
|| return 1
- make || return 1
+ # fix LUA libs linking order
+ make "LUA_LIBS=../liblua/liblua.a -ldl -lm" || return 1
}
package() {
@@ -39,4 +40,6 @@ package() {
install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
}
-md5sums="53b19c7c123c03536bd914db6eba4170 nmap-6.25.tgz"
+md5sums="df4a22c283574ff970b60e822661e286 nmap-6.40.tgz"
+sha256sums="ceb8bfd138006719443689787d71b3323b126491f6abda1d0a0d7f3d4f037b4b nmap-6.40.tgz"
+sha512sums="9a43813187c1b635d6b64e154d8c2f1567faaeaaf3d7dd521adc8ac917dadce0987223de9c4320990aace4ef97c21d9b3d9c634cef898ec7ffc5b77f20496b79 nmap-6.40.tgz"